<?php
$filename = "./russie-noire-vkraine-pays-des-cosaques.jpg";
// Открываем файл в бинарном режиме
$fp = fopen($filename, 'rb');

if (!$fp) {
    echo 'Ошибка: Невозможно открыть файл для чтения';
    exit;
}

// Попытка прочитать заголовки exif
$headers = exif_read_data ($filename,0,true);

if (!$headers) {
    echo 'Ошибка: невозможно прочитать заголовки exif';
    exit;
}
// Напечатать заголовки 'COMPUTED'
/* echo 'Заголовки EXIF:' . PHP_EOL; */

/* foreach ($headers['COMPUTED'] as $header => $value) {
    printf(' %s => %s%s', $header, $value, PHP_EOL);	
}
echo '<br>'; */
echo '<br>FileName: ' . $headers['FILE']['FileName'];
echo '<br>FileSize: ' . $headers['FILE']['FileSize'];
echo '<br>FileDateTime: ' . $headers['FILE']['FileDateTime'];

echo '<br>Width: ' . $headers['COMPUTED']['Width'];
echo '<br>Height: ' . $headers['COMPUTED']['Height'];
echo '<br>html: ' . $headers['COMPUTED']['html'];

echo '<br>DateTime: ' . $headers['IFD0']['DateTime'];

?>

<?php
echo "<br>Роздільна здатність: " . read_JFIF_dpi($filename) . "dpi";
function read_JFIF_dpi($filename)
{
    $dpi = 0;
    $fp = @fopen($filename, r);
    if ($fp) {
        if (fseek($fp, 6) == 0) { // JFIF often (but not always) starts at offset 6.
            if (($bytes = fread($fp, 16)) !== false) { // JFIF header is 16 bytes.
                if (substr($bytes, 0, 4) == "JFIF") { // Make sure it is JFIF header.
                    $JFIF_density_unit = ord($bytes[7]);
                    $JFIF_X_density = ord($bytes[8])*256 + ord($bytes[9]); // Read big-endian unsigned short int.
                    $JFIF_Y_density = ord($bytes[10])*256 + ord($bytes[11]); // Read big-endian unsigned short int.
                    if ($JFIF_X_density == $JFIF_Y_density) { // Assuming we're only interested in JPEGs with square pixels.
                        if ($JFIF_density_unit == 1) $dpi = $JFIF_X_density; // Inches.
                        else if ($JFIF_density_unit == 2) $dpi = $JFIF_X_density * 2.54; // Centimeters.
                    }
                }
            }
        }
        fclose($fp);
    }
    return ($dpi);
}
?>
<br><br>

<?php
/* echo $filename.":<br>\n";
$exif = exif_read_data ($filename,'IFD0');
echo $exif===false ? "No header data found.<br>\n" : "Image contains headers<br>";
$exif = exif_read_data ($filename,0,true);
foreach($exif as $key=>$section) {
foreach($section as $name=>$val) {
 echo "$key.$name: $val<br>\n";
}
} */
?>